<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.xsd.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.xsd.ui.ModelerXsdUiPlugin">

   <runtime>
      <library name="modelerXsdUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerXsdUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="org.eclipse.xsd.edit"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.metamodels.xsd"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.emf"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.emf.edit.ui"/>
      <import plugin="com.metamatrix.modeler.tools.textimport.ui"/>
      <import plugin="com.metamatrix.modeler.relational.ui"/>
   </requires>

   <extension id="com.metamatrix.modeler.xsd.ui.editor.xsdSemanticsEditor"
              name="%semanticEditor.name"
              point="com.metamatrix.modeler.ui.modelEditorPage">
      <class tabName="%semanticEditor.tabname" order="3"
             name="com.metamatrix.modeler.internal.xsd.ui.editor.XsdSemanticsEditorPage">
      </class>
   </extension>

   <extension id="com.metamatrix.modeler.xsd.ui.editor.xsdSimpleDatatypesEditor"
              name="%simpleDatatypesEditor.name"
              point="com.metamatrix.modeler.ui.modelEditorPage">
      <class tabName="%simpleDatatypesEditor.tabname" order="1"
             name="com.metamatrix.modeler.internal.xsd.ui.editor.XsdSimpleDatatypesEditorPage">
      </class>
   </extension>

   <extension id="com.metamatrix.modeler.xsd.ui.editor.xsdSourceEditor"
              name="%sourceEditor.name"
              point="com.metamatrix.modeler.ui.modelEditorPage">
      <class tabName="%sourceEditor.tabname" order="4"
             name="com.metamatrix.modeler.internal.xsd.ui.editor.XsdTextEditorPage">
      </class>
   </extension>
   <extension id="XsdSchemaUiNewModelObjectHelper" name="%xsdSchemaUiNewModelObjectHelper"
              point="com.metamatrix.modeler.core.newModelObjectHelper">
      <class name="com.metamatrix.modeler.xsd.ui.XsdSchemaUiNewModelObjectHelper">
      </class>
   </extension>  
   <extension id="datatypeUiTextImporter" name="%datatypeUiTextImporter"
              point="com.metamatrix.modeler.tools.textimport.ui.textImportContributor">
      <class name="com.metamatrix.modeler.internal.xsd.ui.wizards.ImportDatatypesMainPage">
      </class>
   </extension>
   <extension point="org.eclipse.ui.importWizards">
      <wizard name="%xsdFileSystemImportWizard.name"
              icon="icons/full/cview16/import_xsd_file.gif"
              class="com.metamatrix.modeler.internal.xsd.ui.wizards.XsdFileSystemImportWizard"
              id="com.metamatrix.modeler.internal.xsd.ui.wizards.xsdFileSystemImportWizard">
         <description>
            %xsdFileSystemImportWizard.description
         </description>
      </wizard>
   </extension>
   <extension id="com.metamatrix.modeler.internal.xsd.ui.actions.CreateVirtualModelFromSchemaAction"
              name="%createVirtualModelFromSchemaAction.name"
              point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.internal.xsd.ui.actions.CreateVirtualModelFromSchemaAction"
                      label="%createVirtualModelFromSchemaAction.label">
      </resourceAction>
   </extension> 
</plugin>